package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.model.Combo;
import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Estados de un expediente
 */

public enum ModoValoracionEnum {

	TELEFONICA("1", "modoValoracion.telefonica"), //
	TELEFONICA_ESPECIALIZADA("2", "modoValoracion.telefonica_especializada"), //
	PRESENCIAL("3", "modoValoracion.presencial");

	private ModoValoracionEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

	public Combo getCombo() {
		return new Combo(id.toString(),
				Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
						com.ejie.ad74a.constantes.Constantes.LOCALE_ES),
				Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
						com.ejie.ad74a.constantes.Constantes.LOCALE_EU));
	}

	public static ModoValoracionEnum getById(String id) {
		for (ModoValoracionEnum e : values()) {
			if (e.id.equals(id))
				return e;
		}
		return null;
	}

	public static String getDesc(String id) {
		for (ModoValoracionEnum proc : ModoValoracionEnum.values()) {
			if (proc.getId().equals(id)) {
				return proc.getLabelDesc();
			}
		}
		return null;
	}

}
